<div class="container">
    <form [formGroup]="addUserForm" (ngSubmit)="adduser()">
        <div class="col s12 white">
            <div class="row  top-buffer">
                <div class="col-md-2" [class.has-error]="addUserForm.controls['FirstName'].hasError('required')"> <label for="txtFirstName">First Name:</label>  </div>
                <div class="col-md-10">
                    <input type="text" id="txtFirstName" formControlName="FirstName" class="form-control">
                    <div *ngIf="addUserForm.controls['FirstName'].touched && !addUserForm.controls['FirstName'].valid">
                        <span *ngIf="addUserForm.controls['FirstName'].hasError('required') " class="alert-danger">
                            First Name is required
                        </span>

                    </div>
                </div>
            </div>
            <div class="row  top-buffer">
                <div class="col-md-2" [class.has-error]="addUserForm.controls['LastName'].hasError('required')"><label for="txtLastName">Last Name:</label></div>
                <div class="col-md-10">
                    <input type="text" id="txtLastName" formControlName="LastName" class="form-control">
                    <div *ngIf="addUserForm.controls['LastName'].touched && !addUserForm.controls['LastName'].valid">
                        <span *ngIf="addUserForm.controls['LastName'].hasError('required') " class="alert-danger">
                            Last Name is required
                        </span>
                    </div>
                </div>
            </div>
            <div class="row  top-buffer">
                <div class="col-md-2" [class.has-error]="addUserForm.controls['EmailId'].hasError('required')|| addUserForm.controls['EmailId'].hasError('email')"><label for="txtEmailId">Email id:</label></div>
                <div class="col-md-10">
                    <input type="text" id="txtEmailId" formControlName="EmailId" class="form-control">
                    <div *ngIf="addUserForm.controls['EmailId'].touched && !addUserForm.controls['EmailId'].valid">
                        <span *ngIf="addUserForm.controls['EmailId'].hasError('required') || addUserForm.controls['EmailId'].hasError('email')" class="alert-danger">
                            Email id is required
                        </span>
                    </div>
                </div>
            </div>
            <div class="row  top-buffer">
                <div class="col-md-4">
                    <button type="submit" class="btn btn-primary pull-right">Add User</button>
                    <span [className]="savedsuccess ? 'alert-success' : 'alert-danger'" >
                        {{msg}}
                    </span>
                </div><div class="col-md-8"></div>
            </div>

        </div>
    </form>
</div>
